Bug 235626

Summary: net/samba48: bind 9.12 support aren't complete
Product: Ports & Packages Reporter: VVD <vvd>
Component: Individual Port(s)Assignee: Timur I. Bakeyev <timur>
Status: Closed FIXED    
Severity: Affects Some People Flags: bugzilla: maintainer-feedback? (timur)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Fixed support of bind 9.12 and added support of bind 9.13 none

Description VVD 2019-02-09 20:30:42 UTC
After build samba48 with BIND 9.12 support, there are no module /usr/local/lib/shared-modules/bind9/dlz_bind9_12.so.

Need patch at least for:
source4/dns_server/wscript_build
source4/dns_server/dlz_minimal.h

I'll try to write patch for support BIND 9.13 too, but I'm not sure I can found all places.
Comment 1 Timur I. Bakeyev freebsd_committer 2019-02-09 20:44:24 UTC
(In reply to VVD from comment #0)

Looks like I got incomplete c-n-p patch, looking directly in the GIT I see the mentioned files being patched as well.
Comment 2 VVD 2019-02-09 22:26:00 UTC
Created attachment 201875 [details]
Fixed support of bind 9.12 and added support of bind 9.13
Comment 3 Timur I. Bakeyev freebsd_committer 2019-02-10 20:57:25 UTC
Thanks for the patch, I've added it to the upcoming update.
Comment 4 VVD 2019-02-11 08:56:34 UTC
Are 4.9 and/or 4.10 in ports soon?
Comment 5 Timur I. Bakeyev freebsd_committer 2019-02-11 12:16:13 UTC
(In reply to VVD from comment #4)

There are few backports are missing in 4.9, but I guess I'd just push 4.9.4 and add those later...
Comment 6 commit-hook freebsd_committer 2019-02-12 00:45:49 UTC
A commit references this bug:

Author: timur
Date: Tue Feb 12 00:45:01 UTC 2019
New revision: 492739
URL: https://svnweb.freebsd.org/changeset/ports/492739

Log:
  Added support for the bind12 and bind13, thanks to VVD and Amitay Isaacs

  PR:		235626

Changes:
  head/net/samba48/Makefile
  head/net/samba48/files/patch-bind13
  head/net/samba48/files/patch-python_samba_provision_sambadns.py
  head/net/samba48/files/patch-source4_setup_named.conf.dlz
  head/net/samba48/pkg-plist